#if !defined(AFX_MODESETTINGSPAGE_H__06930209_710A_4DB9_9210_92FF0CFEDAE2__INCLUDED_)
#define AFX_MODESETTINGSPAGE_H__06930209_710A_4DB9_9210_92FF0CFEDAE2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ModeSettingsPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CModeSettingsPage dialog

class CModeSettingsPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CModeSettingsPage)

// Construction
public:
	CModeSettingsPage();
	~CModeSettingsPage();

    BOOL LoadSettings(LPCTSTR pFileName);
    BOOL SaveSettings(LPCTSTR pFileName);
    
public:
    BOOL    m_bCmdBoot;

// Dialog Data
	//{{AFX_DATA(CModeSettingsPage)
	enum { IDD = IDD_DIALOG_MODE_SETTINGS };
	CButton	m_chkBootCmd;
	CString	m_strWaitTime;
	CString	m_strWaitTimeForBoot;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CModeSettingsPage)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CModeSettingsPage)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	CString m_strIniFile;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MODESETTINGSPAGE_H__06930209_710A_4DB9_9210_92FF0CFEDAE2__INCLUDED_)
